* {
    font-family:'Times New Roman', Times, serif;
}

body {
    background-color: var(--blue1);
    font-size: large;
}

/* variable directory for all colors used */
:root {
--light: #e0e1dd;
--blue1: #778da9d0;
--blue2: #415A77;
--blue3: #1B263B;
--blue4: #0D1B2A;
}


header {
    text-align: left;
    padding-left: 5%;
    border: 1px solid var(--blue4);
    background-color: var(--blue2);

}

h1 {
color: var(--light);
}



.nav, .cont-list {
    background-color: var(--blue3);
    list-style: none;
    margin: 0;
    padding-left: 10%;
    padding-right: 10%;
    display: flex;
    justify-content: space-evenly;
    border-bottom: 1px solid var(--blue4);
}

.nav li a, .cont-list li a {
    text-align: center;
    float: right;
    padding: 15px;
    text-decoration: none;
    font-size: larger;
    color: var(--light);

}

/* adds offset shadow to application links when hovered */
li a:hover {
    background-color: var(--blue2);
}

/* keeps content spread through viewport for tall portrait viewports */
#grid {
    min-height: 90vh;
    display: grid;
}

#about {
    text-align: center;
}

#about p {
    margin-left: 25%;
    margin-right: 25%;
    font-size: larger;
    font-weight: bolder;
}

#about img {
    max-width: 350px;
}

#applications h2 {
    text-align: center;
}

.app-grid {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    position: relative;
}
.apptitle1 {
    display: flex;
    justify-content: center;
    position: relative;
    color: var(--blue4);
}

.apptitle {
    margin: 3%;
    position: relative;
    text-align: center; 
    color: var(--blue4);
}

.text-overlay {
    position: absolute;
    top: 0px;
    left: 85px;
    font-size: larger;
    font-weight: bolder;
}
.text-overlay1 {
    position: absolute;
    font-weight: bolder;
    margin-left: auto;
    margin-right: auto;
    font-size: 36px;
}

footer {
    text-align: center;
    margin-top: auto;
    padding-top: 20px;
    position: relative 0vh;
    bottom: 0;
    grid-row: auto;
}

/* hides blue/underlined link */
footer h3 a {
    text-decoration: none;
    color: var(--blue4);
}

hr {
    background-color: var(--blue3);
    height: 2px;
    border: none;
}

#contact h2 {
    text-align: left;
    padding-left: 5%;
    border: 1px solid var(--blue4);
    background-color: var(--blue2);
    color: var(--light);
    margin-bottom: 0;
    font-weight: lighter;
    padding-top: 5px;
    padding-bottom: 5px;
}

#applications img:hover {
box-shadow: 0px 0px 20px var(--blue3);
}

/* expands application row for larger screens */
@media screen and (min-width: 992px) {
    .apptitle {
        margin: 2%;
    }
}

/* condenses applications into column for smaller screens */
@media screen and (max-width: 768px) {
    .app-grid {
        flex-direction: column;
        align-items: center;
    }
    .nav, .cont-list {
        flex-direction: column;
        align-items: start;
        font-size: larger;
    }

}

#app1 {
    max-width: 600px;
}

.white {
    color: white;
}